Bug 608052 - Addressing strings in the jndi properties file is interpreted as binding urls.
Addressing strings in the jndi properties file is interpreted as binding urls.
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
Development
All Linux
urgent Severity urgent
: 1.3
: ---
Assigned To: Rajith Attapattu
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 10:26 EDT by Rajith Attapattu
Modified: 2010-10-20 09:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajith Attapattu 2010-06-25 10:26:28 EDT
Description of problem:
Addressing strings in the jndi properties file is interpreted as binding urls making it impossible to use addressing strings in the jndi properties file.

Version-Release number of selected component (if applicable):
qpid-java-0.7.946106-4

How reproducible:
Always

Steps to Reproduce:
1.Add the following to your jndi.properties file
  destination.myQueue2="my-queue; { create: receiver }"
2. Create a simple jms application that uses your jndi.properties file.  
3. Observe in the logs that it complains about the entry not being a valid binding URL.
  
Actual results:
The client throws an error when loading the jndi.properties file.

Expected results:
Should interpret the above as an address and create the destination accordingly.
Comment 1 Rajith Attapattu 2010-06-28 12:46:13 EDT
This is fixed in upstream at rev 958102 in Qpid trunk and committed to the internal git repo.

http://mrg1.lab.bos.redhat.com/cgit/qpid.git/commit/?id=7527a6a991830086df46e15bfab83d93f9b28f35
Comment 2 Jiri Kolar 2010-08-12 08:50:42 EDT
this is fixed in last packages
qpid-java-client-0.7.946106-7.el5

validated on RHEL5.5/RHEL4  i386 / x86_64  

packages:

# rpm -qa | grep -E '(qpid|openais|rhm)' | sort -u
openais-0.80.6-16.el5
openais-devel-0.80.6-16.el5
python-qpid-0.7.946106-12.el5
qpid-cpp-client-0.7.946106-11.el5
qpid-cpp-client-devel-0.7.946106-11.el5
qpid-cpp-client-devel-docs-0.7.946106-11.el5
qpid-cpp-client-ssl-0.7.946106-11.el5
qpid-cpp-mrg-debuginfo-0.7.946106-11.el5
qpid-cpp-server-0.7.946106-11.el5
qpid-cpp-server-cluster-0.7.946106-11.el5
qpid-cpp-server-devel-0.7.946106-11.el5
qpid-cpp-server-ssl-0.7.946106-11.el5
qpid-cpp-server-store-0.7.946106-11.el5
qpid-cpp-server-xml-0.7.946106-11.el5
qpid-java-client-0.7.946106-7.el5
qpid-java-common-0.7.946106-7.el5
qpid-tools-0.7.946106-8.el5
rhm-docs-0.7.946106-5.el5
rh-tests-distribution-MRG-Messaging-qpid_common-1.6-51


->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.